Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.sliderpanel
Class JSliderPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.smardec.asc.sliderpanel.JSliderPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JSliderPanel
extends javax.swing.JPanel

`JSliderPanel` provides API to create sliding panels. It has various settings and can be easily customized to fit any application's needs.

Field Summary
`static int` | `BOTTOM_PANEL` The bottom orientation constraint (south side of parent component).
`static int` | `LEFT_PANEL` The left orientation constraint (west side of parent component).
`static int` | `MENU_BAR_POSITION_BOTTOM` The bottom menubar orientation constraint (south side of `JSliderPanel`)
`static int` | `MENU_BAR_POSITION_TOP` The top menubar orientation constraint (north side of `JSliderPanel`)
`static int` | `MODE_ANIMATE` The animate paint mode constraint.
`static int` | `MODE_DEFAULT` The default paint mode constraint.
`static int` | `RIGHT_PANEL` The right orientation constraint (east side of parent component).
`static int` | `TOP_PANEL` The top orientation constraint (north side of parent component).

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JSliderPanel(int sliderOrientation, javax.swing.JComponent parent)` Constructs a `JSliderPanel` with the specified orientation and parent component.

Method Summary
`java.awt.Component` | `add(java.awt.Component comp)` Throws UnsupportedOperationException.
`java.awt.Component` | `add(java.awt.Component comp, int index)` Throws UnsupportedOperationException.
`void` | `add(java.awt.Component comp, java.lang.Object constraints)` Throws UnsupportedOperationException.
`void` | `add(java.awt.Component comp, java.lang.Object constraints, int index)` Throws UnsupportedOperationException.
`java.awt.Component` | `add(java.lang.String name, java.awt.Component comp)` Throws UnsupportedOperationException.
`void` | `addSliderContent(javax.swing.JComponent sliderContentComponent)` Adds the specified component to the JSliderPanel.
`void` | `addSliderListener(SliderListener listener)` Adds a `SliderListener` listener.
`int` | `getDefaultHideMode()` Returns the current default hide mode of this `JSliderPanel`.
`int` | `getDefaultShowMode()` Returns the current default show mode of this `JSliderPanel`.
`int` | `getMenuBarPosition()` Returns the position of this `JSliderPanel`'s menubar.
`java.awt.Container` | `getParentComponent()` Returns the parent component of this `JSliderPanel`.
`java.lang.String` | `getSliderCaption()` Returns the text string that this `JSliderPanel`'s menubar displays.
`int` | `getSliderHeight()` Returns the current height of this `JSliderPanel`.
`int` | `getSliderOrientation()` Returns the orientation of this `JSliderPanel`.
`int` | `getSliderWidth()` Returns the current width of this `JSliderPanel`.
`void` | `hideSliderPanel()` Hides this `JSliderPanel` using default hide mode.
`void` | `hideSliderPanel(int mode)` Hides this `JSliderPanel` using hide mode `mode`.
`boolean` | `isBlockEvents()` Specifies whether this `JSliderPanel` should block mouse and keyboard events during animation.
`boolean` | `isDock()` Specifies whether this `JSliderPanel` is dock.
`boolean` | `isHideSliderWhenLostFocus()` Specifies whether this `JSliderPanel` hides when it looses focus.
`boolean` | `isMenuBarVisible()` Determines whether menubar should be visible when `JSliderPanel` is visible.
`boolean` | `isPin()` Specifies whether this `JSliderPanel` is pin.
`boolean` | `isSliderHiding()` Specifies whether this `JSliderPanel` is showing now.
`boolean` | `isSliderShowing()` Specifies whether this `JSliderPanel` is showing now.
`void` | `paint(java.awt.Graphics g)` Paints `SliderListener`.
`void` | `remove(java.awt.Component comp)` Throws UnsupportedOperationException.
`void` | `remove(int index)` Throws UnsupportedOperationException.
`void` | `removeAll()` Throws UnsupportedOperationException.
`void` | `removeSliderContent()` Removes the content component from this JSliderPanel.
`void` | `removeSliderListener(SliderListener listener)` Removes a `SliderListener` listener.
`void` | `requestFocus()` Requests that this `JSliderPanel` get the input focus.
`void` | `setBlockEvents(boolean blockEvents)` Specifies whether this `JSliderPanel` should block mouse and keyboard events during animation depending on the value of parameter `blockEvents`.
`void` | `setBorder(javax.swing.border.Border border)` Sets the border of this `JSliderPanel`.
`void` | `setDefaultHideMode(int defaultHideMode)` Specifies the default hide mode of this `JSliderPanel`.
`void` | `setDefaultShowMode(int defaultShowMode)` Specifies the default show mode of this `JSliderPanel`.
`void` | `setDock(boolean dock)` Dock or undock this `JSliderPanel` depending on the value of parameter `dock`.
`void` | `setHideSliderWhenLostFocus(boolean hideSliderWhenLostFocus)` Specifies whether this `JSliderPanel` hides when it looses focus depending on the value of parameter `hideSliderWhenLostFocus`.
`void` | `setMenuBarPosition(int menuBarPosition)` Specifies the position of this `JSliderPanel`'s menubar position.
`void` | `setMenuBarVisible(boolean menuBarVisible)` Makes the menubar visible or invisible.
`void` | `setPin(boolean pin)` Pin or unpin this `JSliderPanel` depending on the value of parameter `pin`.
`void` | `setSliderCaption(java.lang.String sliderCaption)` Specifies the single line text that `JSliderPanel`'s menubar will display.
`void` | `setSliderHeight(int sliderHeight)` Resizes this `JSliderPanel` so that it has height `sliderHeight`.
`void` | `setSliderWidth(int sliderWidth)` Resizes this `JSliderPanel` so that it has width `sliderWidth`.
`void` | `setVisible(boolean aFlag)` Shows/Hides this `JSliderPanel` using `showSliderPanel()` or `hideSliderPanel()`
`void` | `showSliderPanel()` Shows this `JSliderPanel` using default show mode.
`void` | `showSliderPanel(int mode)` Shows this `JSliderPanel` using show mode `mode`.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT_PANEL

    public static final int LEFT_PANEL

  The left orientation constraint (west side of parent component).

  See Also:
    Constant Field Values

### RIGHT_PANEL

    public static final int RIGHT_PANEL

  The right orientation constraint (east side of parent component).

  See Also:
    Constant Field Values

### TOP_PANEL

    public static final int TOP_PANEL

  The top orientation constraint (north side of parent component).

  See Also:
    Constant Field Values

### BOTTOM_PANEL

    public static final int BOTTOM_PANEL

  The bottom orientation constraint (south side of parent component).

  See Also:
    Constant Field Values

### MODE_DEFAULT

    public static final int MODE_DEFAULT

  The default paint mode constraint.

  See Also:
    `showSliderPanel(int)`, `hideSliderPanel(int)`, Constant Field Values

### MODE_ANIMATE

    public static final int MODE_ANIMATE

  The animate paint mode constraint.

  See Also:
    `showSliderPanel(int)`, `hideSliderPanel(int)`, Constant Field Values

### MENU_BAR_POSITION_TOP

    public static final int MENU_BAR_POSITION_TOP

  The top menubar orientation constraint (north side of `JSliderPanel`)

  See Also:
    Constant Field Values

### MENU_BAR_POSITION_BOTTOM

    public static final int MENU_BAR_POSITION_BOTTOM

  The bottom menubar orientation constraint (south side of `JSliderPanel`)

  See Also:
    Constant Field Values

Constructor Detail

### JSliderPanel

    public JSliderPanel(int sliderOrientation,
                        javax.swing.JComponent parent)

  Constructs a `JSliderPanel` with the specified orientation and parent component.

Parameters:
  `sliderOrientation` - the orientation of this `JSliderPanel`, one of the following constants defined in `JSliderPanel`: `LEFT_PANEL`, `RIGHT_PANEL`, `TOP_PANEL` or `BOTTOM_PANEL`.
  `parent` - the parent component of this `JSliderPanel` that specifies where this `JSliderPanel` is located on.

Method Detail

### getSliderCaption

    public java.lang.String getSliderCaption()

  Returns the text string that this `JSliderPanel`'s menubar displays.

  Returns:
    a String
  See Also:
    `setSliderCaption(java.lang.String)`

### setSliderCaption

    public void setSliderCaption(java.lang.String sliderCaption)

  Specifies the single line text that `JSliderPanel`'s menubar will display. If the value of text is null or empty string, nothing is displayed.

  The default value of this property is null.

  Parameters:
    `sliderCaption` - `JSliderPanel`'s menubar caption
  See Also:
    `getSliderCaption()`

### isPin

    public boolean isPin()

  Specifies whether this `JSliderPanel` is pin. If `JSliderPanel` is pin it automatically hides when it looses focus.

  Returns:
    `true` if this `JSliderPanel` is pin, `false` otherwise
  See Also:
    `setPin(boolean)`, `isHideSliderWhenLostFocus()`, `setHideSliderWhenLostFocus(boolean)`

### setPin

    public void setPin(boolean pin)

  Pin or unpin this `JSliderPanel` depending on the value of parameter `pin`. If `JSliderPanel` is pin it automatically hides when it looses focus.

  Parameters:
    `pin` - if `true` this `JSliderPanel` is pin, `false` otherwise
  See Also:
    `isPin()`, `isHideSliderWhenLostFocus()`, `setHideSliderWhenLostFocus(boolean)`

### isDock

    public boolean isDock()

  Specifies whether this `JSliderPanel` is dock. If `JSliderPanel` is dock it shares parent component's bounds.

  Note: if `JSliderPanel` is dock only `MODE_DEFAULT` is available.

  Returns:
    `true` if this `JSliderPanel` is dock, `false` otherwise
  See Also:
    `setDock(boolean)`

### setDock

    public void setDock(boolean dock)

  Dock or undock this `JSliderPanel` depending on the value of parameter `dock`. If `JSliderPanel` is dock it shares parent component's bounds.

  Note: if `JSliderPanel` is dock only `MODE_DEFAULT` is available.

  Parameters:
    `dock` - if `true` this `JSliderPanel` is dock, `false` otherwise
  See Also:
    `isDock()`, `MODE_DEFAULT`

### isHideSliderWhenLostFocus

    public boolean isHideSliderWhenLostFocus()

  Specifies whether this `JSliderPanel` hides when it looses focus.

  Returns:
    `true` if this `JSliderPanel` hides when it looses focus, `false` otherwise
  See Also:
    `setHideSliderWhenLostFocus(boolean)`, `isPin()`, `setPin(boolean)`

### setHideSliderWhenLostFocus

    public void setHideSliderWhenLostFocus(boolean hideSliderWhenLostFocus)

  Specifies whether this `JSliderPanel` hides when it looses focus depending on the value of parameter `hideSliderWhenLostFocus`.

  Parameters:
    `hideSliderWhenLostFocus` - if `true` this `JSliderPanel` hides when it looses focus, `false` otherwise
  See Also:
    `isHideSliderWhenLostFocus()`, `isPin()`, `setPin(boolean)`

### getMenuBarPosition

    public int getMenuBarPosition()

  Returns the position of this `JSliderPanel`'s menubar.

  Returns:
    The value of the slider's menubar position property, one of the following constants defined in `JSliderPanel`: `MENU_BAR_POSITION_TOP` or `MENU_BAR_POSITION_BOTTOM`
  See Also:
    `setMenuBarPosition(int)`

### setMenuBarPosition

    public void setMenuBarPosition(int menuBarPosition)

  Specifies the position of this `JSliderPanel`'s menubar position. You must specify one of the following choices: `MENU_BAR_POSITION_TOP` or `MENU_BAR_POSITION_BOTTOM`

  Parameters:
    `menuBarPosition` - the position of the menubar
  See Also:
    `getMenuBarPosition()`

### isMenuBarVisible

    public boolean isMenuBarVisible()

  Determines whether menubar should be visible when `JSliderPanel` is visible.

  Returns:
    `true` if the menubar is visible

### setMenuBarVisible

    public void setMenuBarVisible(boolean menuBarVisible)

  Makes the menubar visible or invisible.

  Parameters:
    `menuBarVisible` - true to make the menubar visible

### addSliderContent

    public void addSliderContent(javax.swing.JComponent sliderContentComponent)

  Adds the specified component to the JSliderPanel.

  Parameters:
    `sliderContentComponent` - the component to be added

### removeSliderContent

    public void removeSliderContent()

  Removes the content component from this JSliderPanel.

### getSliderOrientation

    public int getSliderOrientation()

  Returns the orientation of this `JSliderPanel`.

  Returns:
    The value of the slider orientation property, one of the following constants defined in `JSliderPanel`: `LEFT_PANEL`, `RIGHT_PANEL`, `TOP_PANEL` or `BOTTOM_PANEL`.
  See Also:
    `JSliderPanel(int, javax.swing.JComponent)`

### getParentComponent

    public java.awt.Container getParentComponent()

  Returns the parent component of this `JSliderPanel`.

  Returns:
    the parent component of this `JSliderPanel`
  See Also:
    `JSliderPanel(int, javax.swing.JComponent)`

### getSliderWidth

    public int getSliderWidth()

  Returns the current width of this `JSliderPanel`.

  Returns:
    the current width of this `JSliderPanel`
  See Also:
    `setSliderWidth(int)`

### getSliderHeight

    public int getSliderHeight()

  Returns the current height of this `JSliderPanel`.

  Returns:
    the current height of this `JSliderPanel`
  See Also:
    `setSliderHeight(int)`

### setSliderWidth

    public void setSliderWidth(int sliderWidth)

  Resizes this `JSliderPanel` so that it has width `sliderWidth`. `JSliderPanel`'s width cannot be less then border width or greater then parent's width.

  Note: Setting the width of `JSliderPanel` has no affect if it has `TOP_PANEL` or `BOTTOM_PANEL` orientation. In this case `JSliderPanel`'s width always equals to parent's width.

  Parameters:
    `sliderWidth` - the new width of this `JSliderPanel` in pixels
  See Also:
    `getSliderWidth()`, `getSliderOrientation()`, `JSliderPanel(int, javax.swing.JComponent)`, `getParentComponent()`

### setSliderHeight

    public void setSliderHeight(int sliderHeight)

  Resizes this `JSliderPanel` so that it has height `sliderHeight`. `JSliderPanel`'s height cannot be less then border width or greater then parent's height.

  Note: Setting the height of `JSliderPanel` has no affect if it has `LEFT_PANEL` or `RIGHT_PANEL` orientation. In this case `JSliderPanel`'s height always equals to parent's height.

  Parameters:
    `sliderHeight` - the new height of this `JSliderPanel` in pixels
  See Also:
    `getSliderHeight()`, `getSliderOrientation()`, `JSliderPanel(int, javax.swing.JComponent)`, `getParentComponent()`

### getDefaultShowMode

    public int getDefaultShowMode()

  Returns the current default show mode of this `JSliderPanel`.

  Returns:
    the current default show mode of this `JSliderPanel`
  See Also:
    `setDefaultShowMode(int)`, `showSliderPanel()`

### setDefaultShowMode

    public void setDefaultShowMode(int defaultShowMode)

  Specifies the default show mode of this `JSliderPanel`. You must specify one of the following choices: `MODE_DEFAULT` or `MODE_ANIMATE`.

  Parameters:
    `defaultShowMode` - the default show mode of this `JSliderPanel`

### showSliderPanel

    public void showSliderPanel(int mode)
                         throws java.lang.Exception

  Shows this `JSliderPanel` using show mode `mode`. You must specify one of the following modes: `MODE_DEFAULT` or `MODE_ANIMATE`.

  Parameters:
    `mode` - indicates how `JSliderPanel` will be shown
  Throws:
    `java.lang.Exception` - when `JSliderPanel` created directly and is dock
  See Also:
    `setDefaultShowMode(int)`, `JSliderPanelContainer.showPanelLeft(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelRight(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelTop(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelBottom(javax.swing.JPanel)`

### showSliderPanel

    public void showSliderPanel()
                         throws java.lang.Exception

  Shows this `JSliderPanel` using default show mode.

  Throws:
    `java.lang.Exception` - when `JSliderPanel` created directly and is dock
  See Also:
    `setDefaultShowMode(int)`, `JSliderPanelContainer.showPanelLeft(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelRight(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelTop(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelBottom(javax.swing.JPanel)`

### getDefaultHideMode

    public int getDefaultHideMode()

  Returns the current default hide mode of this `JSliderPanel`.

  Returns:
    the current default hide mode of this `JSliderPanel`
  See Also:
    `setDefaultHideMode(int)`, `hideSliderPanel()`

### setDefaultHideMode

    public void setDefaultHideMode(int defaultHideMode)

  Specifies the default hide mode of this `JSliderPanel`. You must specify one of the following choices: `MODE_DEFAULT` or `MODE_ANIMATE`.

  Parameters:
    `defaultHideMode` - the default hide mode of this `JSliderPanel`

### hideSliderPanel

    public void hideSliderPanel(int mode)
                         throws java.lang.Exception

  Hides this `JSliderPanel` using hide mode `mode`. You must specify one of the following modes: `MODE_DEFAULT` or `MODE_ANIMATE`.

  Parameters:
    `mode` - indicates how `JSliderPanel` will be hidden
  Throws:
    `java.lang.Exception` - when `JSliderPanel` created directly and is dock
  See Also:
    `setDefaultHideMode(int)`, `JSliderPanelContainer.hidePanelLeft()`, `JSliderPanelContainer.hidePanelRight()`, `JSliderPanelContainer.hidePanelTop()`, `JSliderPanelContainer.hidePanelBottom()`

### hideSliderPanel

    public void hideSliderPanel()
                         throws java.lang.Exception

  Hides this `JSliderPanel` using default hide mode.

  Throws:
    `java.lang.Exception` - when `JSliderPanel` created directly and is dock
  See Also:
    `setDefaultHideMode(int)`, `JSliderPanelContainer.showPanelLeft(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelRight(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelTop(javax.swing.JPanel)`, `JSliderPanelContainer.showPanelBottom(javax.swing.JPanel)`

### isSliderShowing

    public boolean isSliderShowing()

  Specifies whether this `JSliderPanel` is showing now.

  Returns:
    `true` if `JSliderPanel` is showing now, `false` otherwise

### isSliderHiding

    public boolean isSliderHiding()

  Specifies whether this `JSliderPanel` is showing now.

  Returns:
    `true` if `JSliderPanel` is hiding now, `false` otherwise

### addSliderListener

    public void addSliderListener(SliderListener listener)

  Adds a `SliderListener` listener.

  Parameters:
    `listener` - a `SliderListener` object

### removeSliderListener

    public void removeSliderListener(SliderListener listener)

  Removes a `SliderListener` listener.

  Parameters:
    `listener` - a `SliderListener` object
  See Also:
    `addSliderListener(com.smardec.asc.sliderpanel.SliderListener)`

### paint

    public void paint(java.awt.Graphics g)

  Paints `SliderListener`.

  Overrides:
    `paint` in class `javax.swing.JComponent`
  Parameters:
    `g` - Graphics

### requestFocus

    public void requestFocus()

  Requests that this `JSliderPanel` get the input focus. If `JSliderPanel` is showing or hiding using `MODE_ANIMATE` animation is stoped.

  Overrides:
    `requestFocus` in class `javax.swing.JComponent`

### setBorder

    public void setBorder(javax.swing.border.Border border)

  Sets the border of this `JSliderPanel`. The `border` must be instanceof `SliderPanelBorder`

  Overrides:
    `setBorder` in class `javax.swing.JComponent`
  Parameters:
    `border` - the border to be rendered for this component

### setVisible

    public void setVisible(boolean aFlag)

  Shows/Hides this `JSliderPanel` using `showSliderPanel()` or `hideSliderPanel()`

  Overrides:
    `setVisible` in class `javax.swing.JComponent`
  Parameters:
    `aFlag` - `true` to show this `JSliderPanel`, `false` to hide this `JSliderPanel`

### isBlockEvents

    public boolean isBlockEvents()

  Specifies whether this `JSliderPanel` should block mouse and keyboard events during animation. The default is `true`.

  Returns:
    `true` if this `JSliderPanel` block mouse and keyboard events during animation, `false` otherwise
  See Also:
    `setBlockEvents(boolean)`

### setBlockEvents

    public void setBlockEvents(boolean blockEvents)

  Specifies whether this `JSliderPanel` should block mouse and keyboard events during animation depending on the value of parameter `blockEvents`. The default is `true`.

  Parameters:
    `blockEvents` - if `true` this `JSliderPanel` block mouse and keyboard events during animation, `false` otherwise
  See Also:
    `isBlockEvents()`

### add

    public java.awt.Component add(java.awt.Component comp)

  Throws UnsupportedOperationException. Use `addSliderContent(JComponent)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `comp` - not used
  Returns:
    undefined

### add

    public void add(java.awt.Component comp,
                    java.lang.Object constraints)

  Throws UnsupportedOperationException. Use `addSliderContent(JComponent)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `comp` - not used
    `constraints` - undefined

### add

    public void add(java.awt.Component comp,
                    java.lang.Object constraints,
                    int index)

  Throws UnsupportedOperationException. Use `addSliderContent(JComponent)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `comp` - not used
    `constraints` - not used
    `index` - not used

### add

    public java.awt.Component add(java.awt.Component comp,
                                  int index)

  Throws UnsupportedOperationException. Use `addSliderContent(JComponent)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `comp` - not used
    `index` - not used
  Returns:
    undefined

### add

    public java.awt.Component add(java.lang.String name,
                                  java.awt.Component comp)

  Throws UnsupportedOperationException. Use `addSliderContent(JComponent)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `name` - not used
    `comp` - not used
  Returns:
    undefined

### remove

    public void remove(java.awt.Component comp)

  Throws UnsupportedOperationException. Use `removeSliderContent()` instead.

  Overrides:
    `remove` in class `java.awt.Container`
  Parameters:
    `comp` - not used

### remove

    public void remove(int index)

  Throws UnsupportedOperationException. Use `removeSliderContent()` instead.

  Overrides:
    `remove` in class `java.awt.Container`
  Parameters:
    `index` - not used

### removeAll

    public void removeAll()

  Throws UnsupportedOperationException. Use `removeSliderContent()` instead.

  Overrides:
    `removeAll` in class `java.awt.Container`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.